=== debian/changelog ===
atomiks (1.0.4.1-3) unstable; urgency=medium

  * Add new build dependency on libjack-dev to make it build in
    Bookworm/Daedalus and up.
  * Update documentation and copyright notices.
  * Bump standard to 4.5.1 and copat to 13.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Thu, 14 Sep 2023 14:44:56 +0200

atomiks (1.0.4.1-2) unstable; urgency=medium

  * Hardening-No-Bindnow-patch.
  * Rules does not require root anymore.
  * Corrected wrong URL for upstream source.
  * Bumped standard up to 4.5.0.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 10 Jun 2022 21:16:55 +0200

atomiks (1.0.4.1-1) unstable; urgency=medium

  * Initial release
  * Add missing build dependency on libsdl-mixer-dev
  * Change rule file
  * Update coyright file
  * Update control file
  * Update install files
  * Update README
  * Add manpage
  * Correct spelling errors
  * Create changelog

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 24 Dec 2021 13:59:47 +0100
