=== debian/control ===
Source: atomiks
Section: games
Priority: optional
Maintainer: Friedhelm Mehnert <friedhelm@friedhelms.net>
Build-Depends: debhelper-compat (=13), libsdl2-dev (>=2.0.1), libsdl2-mixer-dev, libjack-dev
Homepage: http://atomiks.sourceforge.net
Standards-Version: 4.5.1
Rules-Requires-Root: no

Package: atomiks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Atomiks - A remake of the classic Atomix game for modern platforms
 Atomiks is a faithful remake of, and a tribute to, Atomix, a classic
 puzzle game created by Softtouch & RoSt and released in 1990 by the
 Thalion Software company. Atomiks is free software, and shares no code
 with the original Atomix game.
