=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export LDFLAGS = -Wl,-z,now,-g

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS='-g -std=gnu89 -O3 -Wall -Wextra -pedantic -Wno-long-long'
